#pragma once

#include "common\types.h"

#define PLUGINFILE_SIZE 128

// プラグイン型
typedef struct {
	char filename[PLUGINFILE_SIZE];
} PlugIn;

// ロードオーダーリスト型
typedef struct {
	int count;
	PlugIn plugins[0xff];
} LoadOrder;

namespace GRLoadOrder {
	bool	Initialize(void);
	int		GetPluginCount(void);
	LoadOrder *GetPlugInList(void);
	int		GetOrderNoFromName(char *pluginname);
	int		GetOrderNoFromID(uint aiFormID);
	char	*GetPluginName(TESForm *form, bool fIgnoreLoadOrder);
	TESForm *GetExtraFormByID(uint aiFormID, char *pluginName, bool fIgnoreLoadOrder);
}

